[PACKAGE]: ../../raw/master/mkp/checkpoint_ha_problems-0.3.0-20230529.mkp "checkpoint_ha_problems-0.3.0-20230529.mkp"
# Check Point HA critical devices

Monitors status of Check Point HA devices (Services)

**Note**: this check is a rewrite of the original CheckMK check *checkpoint_ha_ptoblems*\
**Note**: the service name has ben changed from _HA Problem_ to _HA Critical Devices_. See Check Pont CLI reference guide
          for _cphaprobe -l list_, [ClusterXL monitoring commands, viewing critical devices](https://sc1.checkpoint.com/documents/R81.10/WebAdminGuides/EN/CP_R81.10_CLI_ReferenceGuide/Topics-CLIG/CXLG/Viewing-Critical-Devices.htm).

---
### Check Info

* *service*: this check will create the service *HA Critical Devices*
* *state*:\
  **critical**: if a device is missing or device state is not *OK*\
   **warning**: if a new device is found
* *wato*: none
* *perfdata*: none 

---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There might be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install PACKAGENAME-VERSION.mkp
```
or beginning with CMK2.2.x
```
mkp add PACKAGENAME-VERSION.mkp
mkp enable PACKAGENAME VERSION
```
In the non RAW editions of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](img/sample.png?raw=true "sample output")

Sample output (details)

![sample output (details)](img/sample-details.png?raw=true "sample output (details)")
